package com.hanwha.morakmorak

import android.app.Application
import com.hanwha.morakmorak.di.apiModule
import com.hanwha.morakmorak.di.networkModule
import com.hanwha.morakmorak.di.preferencesModule
import com.hanwha.morakmorak.di.viewModelModule
import com.ntels.product.chatbot.util.AppLogger
import org.koin.android.ext.android.startKoin

/**
 * Created by aaron on 08/07/2019
 */
class MorakMorakApp : Application() {

    override fun onCreate() {
        super.onCreate()

        AppLogger.init()
        startKoin(this, listOf(
                networkModule,
                viewModelModule,
                apiModule,
                preferencesModule
        ))
    }
}